Name:           perl-ElasticSearch
Version:        0.64
Release:        2%{?dist}
Summary:        API for communicating with ElasticSearch
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/ElasticSearch/
Source0:        http://www.cpan.org/authors/id/D/DR/DRTECH/ElasticSearch-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Any::URI::Escape)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ElasticSearch::SearchBuilder)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(HTTP::Lite)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(IO::Uncompress::Inflate)
BuildRequires:  perl(JSON)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(LWP::ConnCache)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI)
BuildRequires:  perl(YAML)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


# ElasticSearch::RequestParser is used as a poor man's Role, ie those methods
# are being applied to the ElasticSearch class, rather than being in their own
# class. (https://github.com/clintongormley/ElasticSearch.pm/issues/35)
Provides:       perl(ElasticSearch::RequestParser) = %{version}

%{?perl_default_filter}

%description
ElasticSearch is an Open Source (Apache 2 license), distributed, RESTful
Search Engine based on Lucene, and built for the cloud, with a JSON API.
This perl module is a thin API which makes it easy to communicate with
an ElasticSearch cluster.

%prep
%setup -q -n ElasticSearch-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc AUTHORS Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Apr 14 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 0.64-2
- Take into account review comments (#916679)

* Thu Feb 28 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 0.64-1
- Update to 0.64

* Thu Feb 14 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 0.63-1
- Update to 0.63

* Sun Jan 27 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 0.62-1
- Update to 0.62

* Sat Nov 17 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 0.61-1
- Update to 0.61

* Thu Nov 01 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 0.59-1
- Update to 0.59

* Mon Aug 13 2012 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.58-1
- Update to 0.58

* Mon Jul 30 2012 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.55-1
- Specfile autogenerated by cpanspec 1.78.
